unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.Series, VCLTee.TeeDonut, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart,
  Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TDonutSeries;
    Panel1: TPanel;
    rbtnNone: TRadioButton;
    rbtnBlack: TRadioButton;
    rbtnWhite: TRadioButton;
    procedure rbtnBlackClick(Sender: TObject);
  private
    { Private declarations }
    procedure UpdateChart;
  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

constructor TForm1.Create(aOwner: TComponent);
begin
  inherited;
  Series1.FillSampleValues(7);
  UpdateChart;
end;

procedure TForm1.rbtnBlackClick(Sender: TObject);
begin
  UpdateChart;
end;

procedure TForm1.UpdateChart;
begin
  Series1.PiePen.Visible := not rbtnNone.Checked;
  if rbtnBlack.Checked then
     Series1.PiePen.Color := clBlack
  else if rbtnWhite.Checked then
     Series1.PiePen.Color := clWhite;


end;

end.
